const utils = require('./util');
const createMiddleware = require('./createMiddleware');
function mockMiddewares(req, res, next) {
  const mockResult = utils.getMockData('./');
  const { middleware } = createMiddleware({
    ...mockResult,
    updateMockData: async () => {
      const result = utils.getMockData('./');
      return result;
    },
  });
  return middleware(req, res, next);
}

module.exports = mockMiddewares;
